package com.ruoyi.project.shiftmgr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.shiftmgr.mapper.TShiftAnnualAssPointsMapper;
import com.ruoyi.project.shiftmgr.domain.TShiftAnnualAssPoints;
import com.ruoyi.project.shiftmgr.service.ITShiftAnnualAssPointsService;

/**
 * 年度考核计分Service业务层处理
 *
 * @author ruoyi
 * @date 2022-08-05
 */
@Service
public class TShiftAnnualAssPointsServiceImpl implements ITShiftAnnualAssPointsService
{
    @Autowired
    private TShiftAnnualAssPointsMapper tShiftAnnualAssPointsMapper;

    /**
     * 查询年度考核计分
     *
     * @param id 年度考核计分ID
     * @return 年度考核计分
     */
    @Override
    public TShiftAnnualAssPoints selectTShiftAnnualAssPointsById(Long id)
    {
        return tShiftAnnualAssPointsMapper.selectTShiftAnnualAssPointsById(id);
    }

    /**
     * 查询年度考核计分列表
     *
     * @param tShiftAnnualAssPoints 年度考核计分
     * @return 年度考核计分
     */
    @Override
    public List<TShiftAnnualAssPoints> selectTShiftAnnualAssPointsList(TShiftAnnualAssPoints tShiftAnnualAssPoints)
    {
        return tShiftAnnualAssPointsMapper.selectTShiftAnnualAssPointsList(tShiftAnnualAssPoints);
    }

    /**
     * 新增年度考核计分
     *
     * @param tShiftAnnualAssPoints 年度考核计分
     * @return 结果
     */
    @Override
    public int insertTShiftAnnualAssPoints(TShiftAnnualAssPoints tShiftAnnualAssPoints)
    {
        return tShiftAnnualAssPointsMapper.insertTShiftAnnualAssPoints(tShiftAnnualAssPoints);
    }

    /**
     * 修改年度考核计分
     *
     * @param tShiftAnnualAssPoints 年度考核计分
     * @return 结果
     */
    @Override
    public int updateTShiftAnnualAssPoints(TShiftAnnualAssPoints tShiftAnnualAssPoints)
    {
        return tShiftAnnualAssPointsMapper.updateTShiftAnnualAssPoints(tShiftAnnualAssPoints);
    }

    /**
     * 批量删除年度考核计分
     *
     * @param ids 需要删除的年度考核计分ID
     * @return 结果
     */
    @Override
    public int deleteTShiftAnnualAssPointsByIds(Long[] ids)
    {
        return tShiftAnnualAssPointsMapper.deleteTShiftAnnualAssPointsByIds(ids);
    }

    /**
     * 删除年度考核计分信息
     *
     * @param id 年度考核计分ID
     * @return 结果
     */
    @Override
    public int deleteTShiftAnnualAssPointsById(Long id)
    {
        return tShiftAnnualAssPointsMapper.deleteTShiftAnnualAssPointsById(id);
    }
}
